function [obj] = objective(M, z, U, V)
% calculate objective value
obj = 0;
for i = 1:length(M)
    mat =  M{i} - (U(:, i) .* z) * V{i}';
    mat(isnan(mat)) = 0;
    obj = obj + norm(mat,'fro')^2 ;
end
end
