function [v] = update_v(M, z, u, v, gamma, s)
% given z, u, update v
a=M;
a(~isnan(a))=1;
a(isnan(a))=0;
l=0;
grad=[];
M(isnan(M))=0;
for i=1:size(a,2)
    %the following is calculated for gradient
	gtemp=(a(:,i).*(diag(z)*u))'*(v(i)*(a(:,i).*(diag(z)*u))-a(:,i).*M(:,i));
	grad(i)=gtemp;
    %the following is calculated for lipschitz modulis
	av=a(:,i).*(diag(z)*u);
	l=l+(av'*av)^2;
end

lip = sqrt(l);
if lip == 0
    v = zeros(length(v), 1);
    return;
end
v = v - 1 / (lip * gamma) * grad';
v = map(v, s);
end
